%global _empty_manifest_terminate_build 0

Name:           python-pydata-sphinx-theme
Version:        0.13.3
Release:        1
Summary:        Bootstrap-based Sphinx theme from the PyData community.

License:        BSD 3-Clause
URL:            https://github.com/pydata/pydata-sphinx-theme
Source0:        https://github.com/pydata/pydata-sphinx-theme/archive/v%{version}/pydata-sphinx-theme-%{version}.tar.gz
# Source1 and Source2 created with ./prepare_vendor.sh
Source1:        pydata-sphinx-theme-%{version}-vendor.tar.xz
Source2:        pydata-sphinx-theme-%{version}-vendor-licenses.txt

BuildArch:      noarch
BuildRequires:  nodejs-devel
BuildRequires:  nodejs-yarn
BuildRequires:  npm
BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildRequires:  python3-setuptools
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:	python3-hatchling
BuildRequires:  python3-flit-core
BuildRequires:  python3-nodeenv
BuildRequires:  python3-sphinx-theme-builder
BuildRequires:  python3-beautifulsoup4
BuildRequires:  python3-sphinx >= 6.0
BuildRequires:  python3-sphinx-basic-ng
BuildRequires:  python3-sphinx-copybutton
BuildRequires:  python3-sphinx-design
BuildRequires:  python3-sphinx-inline-tabs
BuildRequires:  python3-sphinxext-rediraffe
BuildRequires:  python3-jupyter-sphinx
BuildRequires:  python3-pygments >= 2.7
BuildRequires:  python3-myst-parser
BuildRequires:  python3-ablog
BuildRequires:  python3-pandas
BuildRequires:  python3-myst-nb
BuildRequires:  python3-matplotlib
BuildRequires:  python3-sphinxcontrib-youtube
BuildRequires:  python3-numpydoc
BuildRequires:  python3-sphinx-togglebutton
BuildRequires:  python3-sphinx-favicon
BuildRequires:  python3-sphinx-sitemap
BuildRequires:  python3-linkify-it-py

%global _description %{expand:
as well as a Sphinx extension that allows you to write MyST Markdown in Sphinx.}


%description %_description

%package -n     python3-pydata-sphinx-theme
Summary:        %{summary}

%description -n python3-pydata-sphinx-theme %_description

%package        help
Summary:        Documentation for %{name}
# This project is BSD 3-Clause.  Other files bundled with the documentation have the
# following licenses:
# - searchindex.js: BSD-2-Clause
# - _sources/kitchen-sink/*.rst.txt: CC-BY-SA-4.0
# - _static/basic.css: BSD-2-Clause
# - _static/clipboard.min.js: MIT
# - _static/copy*: MIT
# - _static/doctools.js: BSD-2-Clause
# - _static/jquery*.js: MIT
# - _static/language_data.js: BSD-2-Clause
# - _static/pygments.css: BSD-2-Clause
# - _static/searchtools.js: BSD-2-Clause
# - _static/underscore*.js: MIT
License:        MIT AND BSD-2-Clause AND CC-BY-SA-4.0

%description    help
Documentation for %{name}.


%prep
%autosetup -p1 -n pydata-sphinx-theme-%{version} -a1
cp -p %{SOURCE2} .

# Don't ship version control files
find . -name .gitignore -delete

# Substitute the installed nodejs version for the requested version
sed -i 's,^\(node-version = \)".*",\1"%{nodejs_version}",' pyproject.toml

# Use local objects.inv for intersphinx
sed -e 's|\("https://docs\.python\.org/3", \)None|\1"%{_docdir}/python3-docs/html/objects.inv"|' \
    -e 's|\("https://www\.sphinx-doc\.org/en/master", \)None|\1"%{_docdir}/python-sphinx-doc/html/objects.inv"|' \
    -i docs/conf.py

%build
export PUPPETEER_SKIP_CHROMIUM_DOWNLOAD=1
export YARN_CACHE_FOLDER="$PWD/.package-cache"
yarn install --offline
nodeenv --node=system --prebuilt --clean-src $PWD/.nodeenv
%pyproject_build

%install
%pyproject_install

# Build documentation
CFLAGS="${CFLAGS:-${RPM_OPT_FLAGS}}" LDFLAGS="${LDFLAGS:-${RPM_LD_FLAGS}}" \
PATH="%{buildroot}%{_bindir}:$PATH" \
PYTHONPATH="${PYTHONPATH:-%{buildroot}%{python3_sitearch}:%{buildroot}%{python3_sitelib}}" \
PYTHONDONTWRITEBYTECODE=1 \
%{?__pytest_addopts:PYTEST_ADDOPTS="${PYTEST_ADDOPTS:-} %{__pytest_addopts}"} \
PYTEST_XDIST_AUTO_NUM_WORKERS=%{_smp_build_ncpus} \
sphinx-build -b html docs html
rm -rf html/{.buildinfo,.doctrees}

%files -n python3-pydata-sphinx-theme
%doc README.md CONTRIBUTING.md
%license LICENSE
%{python3_sitelib}/pydata_sphinx_theme
%{python3_sitelib}/pydata_sphinx_theme*.dist-info/

%files help
%doc html
%license LICENSE

%changelog
* Tue Jan 30 2024 Dongxing Wang <dongxing.wang_a@thundersoft.com> - 0.13.3-1
- Initial package
